
Redmine - Defect #17486

Error when removing user from group

2014-07-16 18:46 - Roland Lezuo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Groups Estimated time: 0.00 hour

Target version: 2.5.3   

Resolution: Fixed Affected version: 2.5.1

Description

Trying to remove certain users from certain groups raises and redmine error.

i.e.: deleting "foo" from group "bar" (using Administration->Groups)

leads to the following trace in production.log:

Started DELETE "/redmine/groups/207/users/211" for 192.168.122.1 at 2014-07-16 18:36:28 +0200

Processing by GroupsController#remove_user as JS

Parameters: {"id"=>"207", "user_id"=>"211"}

Current user: xxx (id=608)

Completed 500 Internal Server Error in 21.8ms

NoMethodError (undefined method `id' for nil:NilClass):

app/models/member.rb:87:in `set_issue_category_nil'

app/models/member_role.rb:42:in `remove_member_if_empty'

app/models/group.rb:68:in `block in user_removed'

app/models/group.rb:67:in `user_removed'

app/controllers/groups_controller.rb:103:in `remove_user'

Some users were successfully deleted, but some others consistently raise this error.

Associated revisions

Revision 13334 - 2014-07-29 19:49 - Jean-Philippe Lang

Fixed an error when member's project is nil (#17486).

Revision 13389 - 2014-09-13 12:08 - Jean-Philippe Lang

Merged r13334 (#17486).

History

#1 - 2014-07-17 00:42 - Toshi MARUYAMA

- Category set to Groups

#2 - 2014-07-29 19:50 - Jean-Philippe Lang

- Subject changed from internal server error 500 when removing user from group to Error when removing user from group

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.3

- Resolution set to Fixed

This should be fixed by r13334.

#3 - 2014-09-13 12:08 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
